#ifndef XUTIL_H
#define	XUTIL_H

/**
 * @brief Safe memory allocation.
 * @param size The size in bytes.
 * @return The allocaated string.
 */
char *xmalloc(size_t);


/**
 * @brief Return allocated string.
 * @param src The string to allocate and copy.
 * @return The allocaated string.
 */
char *xstrcpy(char *);


/**
 * @brief Add a string to a string and return allocated result.
 * @param src The original source string.
 * @param add The string to add.
 * @return The allocated result of both strings.
 */
char *xstrcat(char *, char *);


#endif
